<?php
/**
 * @version		$Id: default_item.php 20488 2011-01-30 18:56:00Z dextercowley $
 * @package		Joomla.Site
 * @subpackage	com_content
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

// Create a shortcut for params.
$params = &$this->item->params;
$canEdit	= $this->item->params->get('access-edit');

//Template Parameter
$app = JFactory::getApplication();
$pixParams = $app->getTemplate(true)->params;
$thumb_width = trim($pixParams->get('thumb_width','213'));
$thumb_height = trim($pixParams->get('thumb_height','140'));

?>
<div class="item_wrapper">
	<div class="gallery_item">
		<div class="gallery_image">
		<?php	
			preg_match('/< *img[^>]*src *= *["\']?([^"\']*)/i', $this->item->introtext, $matches);
				
			if (isset($matches[1])) {
				$image_path = $matches[1];
				
				// remove any / that begins the path
				if (substr($image_path, 0 , 1) == '/') $image_path = substr($image_path, 1);
				
				// create a thumb filename
				$file_div = strrpos($image_path,'.');
				$thumb_ext = substr($image_path, $file_div);
				$thumb_prev = substr($image_path, 0, $file_div);
				$thumb_path = $thumb_prev . "_thumb" . $thumb_ext;
					
				// check to see if this file exists, if so we don't need to create it
				if (function_exists("gd_info")) {
					// file doens't exist, so create it and save it
					if (!class_exists("spThumbnail")) include_once('class.spThumbnail.php');
					
					//Check existing thumbnails dimensions
					if (file_exists($thumb_path)) {
						$size = GetImageSize( $thumb_path );
						$currentWidth=$size[0];
						$currentHeight=$size[1];
					}
					
					//Creating thumbnails		
					if (!file_exists($thumb_path) || $currentWidth!=$thumb_width || $currentHeight!=$thumb_height ) {
						$thumb = new spThumbnail;
						$thumb->new_width = $thumb_width;
						$thumb->new_height = $thumb_height;
						$thumb->image_to_resize = $image_path; // Full Path to the file
						$thumb->ratio = false; // Keep Aspect Ratio?
						$thumb->save = $thumb_path;
						$process = $thumb->resize();
					}
				}
				echo '<img src="' . $thumb_path . '" width="100%" alt=" " />';
			}
		?>
		</div>

		<div class="gallery_info">
			<?php
				$idate = JHTML::_('date',$this->item->created, JText::_('DATE_FORMAT_LC3')); 
				$idate = explode (" ", $idate);
			?>
			<div class="info_details">
				<span class="day"><?php echo $idate[0] ?></span>
				<span class="month"><?php echo substr($idate[1],0,3) ?></span>
				<br /><span class="year"><?php echo $idate[2] ?></span>
				<div class="clr"></div>
				<a class="gallery_more" href="<?php echo JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid)); ?>">
					<span><?php echo JText::_('COM_CONTENT_READ_MORE_TITLE');?></span>
				</a>
			</div>
			<div class="clr"></div>
		</div>
		<div class="clr"></div>
	</div>

	<div class="title_tools clearfix">
		<?php if ($params->get('link_titles') && $params->get('access-view')) : ?>
			<a class="gallery_title" href="<?php echo JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid)); ?>">
			<strong><?php echo $this->escape($this->item->title); ?></strong></a>
		<?php else : ?>
			<strong><?php echo $this->escape($this->item->title); ?></strong>
		<?php endif; ?>
		<div class="viewed clearfix">
			<?php echo $this->item->hits; ?>
		</div>
	</div>
	<div class="clr"></div>
</div>